## pcp 2.7.4-20080507

=== src/pmtop/Makefile ===
#!smake
#
PCP_SRC_DEPTH = ../../src
include $(ROOT)/usr/include/make/commondefs
include $(PCP_SRC_DEPTH)/include/commondefs

CFILES	= pmtop.c
TARGETS	= pmtop
LCOPTS	= -fullwarn $(PCP_INC_PATH)
LCDEFS	= $(DEBUG)
LLDOPTS	= $(PCP_LIBS_PATH)
LLDLIBS	= -lpcp -lgen
IDBTAG	= PMTOP
LDIRT	=

default:	$(TARGETS)

include $(COMMONRULES)

install:	$(TARGETS)
	$(INSTALL) -F /usr/sbin -m 555 -idb "$(IDBTAG) $(STRIPBIN)" pmtop

pmtop:	$(OBJECTS)
	rm -f $@
	$(CCF) -o $@ $(OBJECTS) $(LDOPTS) $(LDLIBS)
	$(TAG) 0x00010D14 $@

=== src/pmdas/hotproc/Makefile ===
#!smake
#
# $Id: Makefile,v 1.6 2004/05/20 01:23:03 kenmcd Exp $
#

LTARGETS	= help.dir
LLDIRT	 	= domain.h *.log *.dir *.pag pmns help

PCP_SRC_DEPTH = ../..
include $(PCP_SRC_DEPTH)/include/commondefs
include $(PCP_SRC_DEPTH)/include/isacommondefs

PROC_DIR = ../proc
IAM	 = hotproc
DOMAIN	 = HOTPROC
IDBTAG	 = PMDA_$(DOMAIN)
PMDADIR	 = $(PCP_PMDAS_DIR)/$(IAM)

install: default 
	$(INSTALL) -F /usr/pcp/lib -idb "$(IDBTAG)" -lns ../../..$(PMDADIR)/pmda$(IAM) pmda$(IAM)
	$(INSTALL) -idb '$(IDBTAG) removeop("rm -f $$rbase$(PMDADIR)/help.*")' -m 755 -dir $(PMDADIR)
	$(INSTALL) -F /usr/pcp/pmdas -idb "$(IDBTAG)" -lns ../../..$(PMDADIR) $(IAM)
#if $(BEFORE_IRIX6_5)
	$(I_32) $(INSTALL) -f $(PMDADIR) -idb "$(IDBTAG) $(MODE32) $(STRIPBIN)" -m 555 -src 32/pmda$(IAM) pmda$(IAM)
	$(I_64) $(INSTALL) -f $(PMDADIR) -idb "$(IDBTAG) $(MODE64) $(STRIPBIN)" -m 555 -src 64/pmda$(IAM) pmda$(IAM)
#else
	$(I_N32) $(INSTALL) -f $(PMDADIR) -idb "$(IDBTAG) $(MODE32) $(STRIPBIN)" -m 555 -src N32/pmda$(IAM) pmda$(IAM)
	$(I_64) $(INSTALL) -f $(PMDADIR) -idb "$(IDBTAG) $(MODE64) $(STRIPBIN)" -m 555 -src 64/pmda$(IAM) pmda$(IAM)
#endif
	$(INSTALL) -f $(PMDADIR) -idb "$(IDBTAG)" -m 555 Install Remove
	$(INSTALL) -f $(PMDADIR) -idb "$(IDBTAG)" -m 444 README root help pmns domain.h sample.conf general.conf general.pmie
	$(INSTALL) -f $(PMDADIR) -idb "$(IDBTAG)" -m 444 -src Makefile.install Makefile

help: $(PROC_DIR)/help help.hotproc pmns
	sed < $(PROC_DIR)/help -e 's/proc\./hotproc./g' \
		 -e 's/number of processes/number of "interesting" processes/g' \
	| cat - help.hotproc | ./help.fmt > $@ 

help.dir: domain.h help root pmns ../../buildtools/newhelp
	PCP_SRC_DEPTH=$(PCP_SRC_DEPTH) $(PCP_SRC_DEPTH)/buildtools/check_help_src help root

pmns: $(PROC_DIR)/root_proc pmns.hotproc fixpmns.awk
	nawk < $(PROC_DIR)/root_proc -f fixpmns.awk \
	| sed -e '/[ 	]PROC:/s/PROC:/HOTPROC:/g' -e 's/^proc/hotproc/g' \
	| cat - pmns.hotproc >$@

.NOTPARALLEL:
.ORDER: domain.h $(OBJECTS)

domain.h:	../../pmns/stdpmid
	rm -f domain.h
	echo "/*" >domain.h
	echo " * built from $(PCP_VAR_DIR)/pmns/stdpmid" >>domain.h
	echo " */" >>domain.h
	nawk <../../pmns/stdpmid >>domain.h '/#define[ 	][ 	]*$(DOMAIN)[ 	]/ { print "#define $(DOMAIN) " $$3 }'

=== src/pmdas/hotproc/src/Makefile ===
#!smake
#
# $Id: Makefile,v 1.17 2001/04/06 04:52:11 ajag Exp $
#

PCP_SRC_DEPTH = ../../..
include versiondefs
include $(ROOT)/usr/include/make/commondefs
include $(PCP_SRC_DEPTH)/include/commondefs

TARGETS	= $(FROM_PROC) pmda$(IAM)

PROC_DIR = ../../proc
PROC_SRCDIR = $(PROC_DIR)/src

FROM_PROC_H = cluster.h pracinfo.h proc_aux.h pscred.h \
	      pstatus.h pmemory.h proc.h procmem.h psinfo.h \
	      psusage.h ctltab.h nameinfo.h
FROM_PROC_C = pmemory.c pracinfo.c proc_aux.c \
	      pscred.c psinfo.c pstatus.c psusage.c \
	      ttyname.c procmem.c nameinfo.c

FROM_PROC = $(FROM_PROC_C) $(FROM_PROC_H)
CFILES	= $(FROM_PROC_C) \
	  pglobal.c ctltab.c hotproc.c pcpu.c \
	  config.c gram_node.c error.c ppred_values.c

OBJECTS = gram.o lex.o $(CFILES:S/.c/.o/g)

LCOPTS	= -fullwarn
LCINCS  = $(PCP_INC_PATH)
LCDEFS	= $(DEBUG)
LLDOPTS	= $(PCP_LIBS_PATH)
LLDLIBS	= -lpcp_dev -lpcp_pmda -lpcp -lc -ll

IAM	= hotproc
DOMAIN	= HOTPROC
LDIRT	= ../domain.h gram.h yy.lex.c y.tab.?

default: ../domain.h $(TARGETS)

include $(COMMONRULES)

install:	default

pmda$(IAM):	$(OBJECTS)
	rm -f $@
	$(CCF) -o $@ $(OBJECTS) $(LDOPTS) $(LDLIBS)
	$(TAG) 0x00010D01 $@

#
# PROC_SRCDIR dependencies
#
cluster.h: $(PROC_SRCDIR)/cluster.h
	ln -s $? $@
pracinfo.h: $(PROC_SRCDIR)/pracinfo.h
	ln -s $? $@
pracinfo.c: $(PROC_SRCDIR)/pracinfo.c
	ln -s $? $@
proc_aux.h: $(PROC_SRCDIR)/proc_aux.h
	ln -s $? $@
proc_aux.c: $(PROC_SRCDIR)/proc_aux.c
	ln -s $? $@
pscred.h: $(PROC_SRCDIR)/pscred.h
	ln -s $? $@
pscred.c: $(PROC_SRCDIR)/pscred.c
	ln -s $? $@
pstatus.h: $(PROC_SRCDIR)/pstatus.h
	ln -s $? $@
pstatus.c: $(PROC_SRCDIR)/pstatus.c
	ln -s $? $@
pmemory.h: $(PROC_SRCDIR)/pmemory.h
	ln -s $? $@
pmemory.c: $(PROC_SRCDIR)/pmemory.c
	ln -s $? $@
proc.h: $(PROC_SRCDIR)/proc.h
	ln -s $? $@
procmem.h: $(PROC_SRCDIR)/procmem.h
	ln -s $? $@
procmem.c: $(PROC_SRCDIR)/procmem.c
	ln -s $? $@
psinfo.h: $(PROC_SRCDIR)/psinfo.h
	ln -s $? $@
psinfo.c: $(PROC_SRCDIR)/psinfo.c
	ln -s $? $@
psusage.h: $(PROC_SRCDIR)/psusage.h
	ln -s $? $@
psusage.c: $(PROC_SRCDIR)/psusage.c
	ln -s $? $@
ttyname.c: $(PROC_SRCDIR)/ttyname.c
	ln -s $? $@
ctltab.h: $(PROC_SRCDIR)/ctltab.h
	ln -s $? $@
nameinfo.h: $(PROC_SRCDIR)/nameinfo.h
	ln -s $? $@
nameinfo.c: $(PROC_SRCDIR)/nameinfo.c
	ln -s $? $@


# grammar stuff

lex.o gram.o config.o:	gram.h

gram.h:	gram.y
	$(YACC) -d gram.y
	-if cmp -s y.tab.h $@; then rm y.tab.h; touch gram.h; else mv y.tab.h $@; fi

.NOTPARALLEL:
.ORDER: ../domain.h $(OBJECTS)

../domain.h:
	cd ..; make domain.h

=== debian/changelog ===
pcp (2.7.4-20080507) unstable; urgency=low

  * Fix location of pcp.conf - moved into libpcp runtime.
  * Introduce a shlibs.local file to track package inter-dependencies.

 -- Nathan Scott <nathans@debian.org>  Wed, 07 May 2008 16:43:34 +1000

pcp (2.7.4-20080506) unstable; urgency=low

  * Fix location of headers - moved into dev packages.

 -- Nathan Scott <nathans@debian.org>  Tue, 06 May 2008 21:14:07 +1000

pcp (2.7.4-20080430) unstable; urgency=low

  * Fix network interface speed metrics.
  * Fix "/etc/init.d/pmie status" reporting on running pmies.

 -- Nathan Scott <nathans@debian.org>  Wed, 30 Apr 2008 07:44:51 +1000

pcp (2.7.4-20080418) unstable; urgency=low

  * Resolve duplicate names with pgpool2 (closes: #476605)

 -- Nathan Scott <nathans@debian.org>  Fri, 18 Apr 2008 11:14:45 +1000

pcp (2.7.4-20080415) unstable; urgency=low

  * Improve path handling in pcp.env.
  * Cygwin and Mac OS X ps fixes making daemon restart reliable.
  * Mac OS X local context support.
  * Improve kmchart integration.

 -- Nathan Scott <nathans@debian.org>  Tue, 15 Apr 2008 17:27:49 +1000

pcp (2.7.4-20080404) unstable; urgency=low

  * Fix builds on systems without deprecated C++ headers.

 -- Nathan Scott <nathans@debian.org>  Fri, 04 Apr 2008 10:40:01 +1100

pcp (2.7.4-20080402) unstable; urgency=low

  * Man page install now uses a deterministic sort (closes: #472322).

 -- Nathan Scott <nathans@debian.org>  Wed, 02 Apr 2008 15:56:35 +1100

pcp (2.7.4-20080331) unstable; urgency=low

  * Jstat PMDA tweaks and Cygwin build updates.

 -- Nathan Scott <nathans@debian.org>  Mon, 31 Mar 2008 16:24:03 +1100

pcp (2.7.4-20080326) unstable; urgency=low

  * Fix pmloglabel exit status.

 -- Nathan Scott <nathans@debian.org>  Wed, 26 Mar 2008 10:16:32 +1100

pcp (2.7.4-20080322) unstable; urgency=low

  * Fix pmie_check script use of control file variable.
  * Add pmloglabel tool for fixing corrupt archive labels.

 -- Nathan Scott <nathans@debian.org>  Sat, 22 Mar 2008 15:36:55 +1100

pcp (2.7.4-20080317) unstable; urgency=low

  * Fix curses package dependencies (closes: #471220)

 -- Nathan Scott <nathans@debian.org>  Mon, 17 Mar 2008 11:37:57 +1100

pcp (2.7.4-20080312) unstable; urgency=low

  * Add procps package dependencies (closes: #470326)
  * Resolve several lintian warnings on source package.

 -- Nathan Scott <nathans@debian.org>  Wed, 12 Mar 2008 05:39:40 +1100

pcp (2.7.4-20080306) unstable; urgency=low

  * Initial version of Debian packaging of PCP (closes: #105587)

 -- Nathan Scott <nathans@debian.org>  Thu, 06 Mar 2008 20:55:42 +1100

=== debian/control ===
Source: pcp
Section: utils
Priority: extra
Maintainer: Nathan Scott <nathans@debian.org>
Uploaders: Anibal Monsalve Salazar <anibal@debian.org>
Build-Depends: autoconf, bison, flex, gawk, procps, debhelper (>= 5)
Standards-Version: 3.7.3

Package: pcp
Depends: ${shlibs:Depends}, gawk, procps, sysv-rc-conf, cpp
Suggests: tsocks
Conflicts: pgpool2
Recommends: kmchart
Architecture: any
Description: System level performance monitoring and performance management
 Performance Co-Pilot (PCP) is a framework and services to
 support system-level performance monitoring and performance
 management.
 .
 The Performance Co-Pilot provides a unifying abstraction for
 all of the interesting performance data in a system, and allows
 client applications to easily retrieve and process any subset of
 that data.

Package: libpcp3-dev
Section: libdevel
Priority: extra
Depends: libc6-dev | libc-dev, libpcp3 (>= 2.7.4-20080507)
Conflicts: pcp (< 2.7.4-20080507)
Architecture: any
Description: Performance Co-Pilot library and headers
 libpcp-dev contains the base Performance Co-Pilot (PCP) library and
 header files needed to develop both collector and monitor programs
 which make use of PCP services.

Package: libpcp3
Depends: ${shlibs:Depends}
Conflicts: pgpool2, pcp (< 2.7.4-20080507)
Section: libs
Priority: extra
Architecture: any
Description: Performance Co-Pilot library
 Contains the runtime environment required by programs that make use
 of Performance Co-Pilot services.

Package: libpcp-pmda3-dev
Section: libdevel
Priority: extra
Depends: libc6-dev | libc-dev, libpcp3-dev
Conflicts: pcp (< 2.7.4-20080507)
Architecture: any
Description: Performance Co-Pilot Domain Agent library and headers
 libpcppmda-dev contains the Performance Co-Pilot (PCP) library and
 header files needed to develop Performance Metric Domain Agents
 (PMDAs).  A PMDA exports performance data for one specific domain,
 for example the operating system kernel, Cisco routers, a database,
 an application, etc.

Package: libpcp-pmda3
Depends: ${shlibs:Depends}
Section: libs
Priority: extra
Architecture: any
Description: Performance Co-Pilot Domain Agent library
 Contains the runtime environment required by a Performance Metric
 Domain Agent (PMDAs).  A PMDA exports performance data for one
 specific domain, for example the operating system kernel, Cisco
 routers, a database, an application, etc.

Package: libpcp-trace2-dev
Section: libdevel
Priority: extra
Depends: libc6-dev | libc-dev, libpcp3-dev
Conflicts: pcp (< 2.7.4-20080507)
Architecture: any
Description: Performance Co-Pilot application tracing library and headers
 libpcptrace-dev contains the Performance Co-Pilot (PCP) library and
 header files needed to directly instrument an application for event
 and value tracking by the pmdatrace(1) PCP Trace Performance Metric
 Domain Agent.

Package: libpcp-trace2
Depends: ${shlibs:Depends}
Section: libs
Priority: extra
Architecture: any
Description: Performance Co-Pilot application tracing library
 Contains the runtime environment required by an application that is
 directly instrumented for event and value tracking by pmdatrace(3),
 the Trace Performance Metric Domain Agent.

=== debian/rules ===
#!/usr/bin/make -f

pcp = pcp
libpcp = libpcp3
libpcpdev = libpcp3-dev
libpcp_pmda = libpcp-pmda3
libpcp_pmdadev = libpcp-pmda3-dev
libpcp_trace = libpcp-trace2
libpcp_tracedev = libpcp-trace2-dev

dirpcp = debian/$(pcp)
dirlibpcp = debian/$(libpcp)
dirlibpcpdev = debian/$(libpcpdev)
dirlibpcp_pmda = debian/$(libpcp_pmda)
dirlibpcp_pmdadev = debian/$(libpcp_pmdadev)
dirlibpcp_trace = debian/$(libpcp_trace)
dirlibpcp_tracedev = debian/$(libpcp_tracedev)
alldir = $(dirpcp) $(dirlibpcp) $(dirlibpcpdev) $(dirlibpcp_pmda) \
	$(dirlibpcp_pmdadev) $(dirlibpcp_trace) $(dirlibpcp_tracedev)

zip = @export GZIP=-9q
pkgpcp = $(zip); export DIST_ROOT=`pwd`/$(dirpcp);
pkglibpcp = $(zip); export DIST_ROOT=`pwd`/$(dirlibpcp);
pkglibpcp_pmda = $(zip); export DIST_ROOT=`pwd`/$(dirlibpcp_pmda);
pkglibpcp_trace = $(zip); export DIST_ROOT=`pwd`/$(dirlibpcp_trace);

options = export DEBUG=-DNDEBUG AWK=gawk PMC_SUPPORT=false;
checkdir = test -f debian/rules
uninstall = cat debian/*.install | sed -e "s,^,debian/$(pcp)/," | xargs rm -f
uninstalld = rmdir debian/$(pcp)/usr/include/pcp debian/$(pcp)/usr/include

build: built
built: config
	@echo "== dpkg-buildpackage: build" 1>&2
	$(MAKE) default
	touch built

config: .census
.census:
	@echo "== dpkg-buildpackage: configure" 1>&2
	$(checkdir)
	$(options) $(MAKE) configure_pcp
	touch .census

clean:
	@echo "== dpkg-buildpackage: clean" 1>&2
	$(checkdir)
	-rm -f built .census
	$(MAKE) realclean
	-rm -rf $(alldir)
	-rm -f debian/*substvars debian/files* debian/*.debhelper

binary-indep:

binary-arch: checkroot built
	@echo "== dpkg-buildpackage: binary-arch" 1>&2
	$(checkdir)
	-rm -rf $(alldir)
	$(pkgpcp) $(MAKE) -C . install
	$(pkgpcp) $(MAKE) -C build pcp.src

	dh_installdocs
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdirs
	dh_install --sourcedir=debian/$(pcp)
	@$(uninstall)
	@$(uninstalld)
	dh_makeshlibs -N $(libpcp)
	dh_makeshlibs -p $(libpcp)
	dh_makeshlibs -N $(libpcp_pmda)
	dh_makeshlibs -p $(libpcp_pmda)
	dh_makeshlibs -N $(libpcp_trace)
	dh_makeshlibs -p $(libpcp_trace)
	dh_installdeb
	dh_shlibdeps 2>/dev/null	# squash bogus and harmless warnings
	dh_gencontrol

	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

checkroot:
	test 0 -eq `id -u`

.PHONY: binary binary-arch binary-indep clean checkroot

## pcp 2.7.8-20081205

=== debian/changelog ===
pcp (2.7.8-20081205) unstable; urgency=low

  * Fix perl PMDA interface build (closes: #507830)

 -- Nathan Scott <nathans@debian.org>  Fri, 05 Dec 2008 16:48:04 +1100

pcp (2.7.8-20081201) unstable; urgency=low

  * Merged with new code from SGI.
  * Infiniband and KVM PMDAs included.
  * Added PCP::LogSummary module - libpcp-logsummary-perl.
  * Fixes build issue with gcc 4.4 (closes: #504832)

 -- Nathan Scott <nathans@debian.org>  Mon, 01 Dec 2008 13:14:41 +1100

pcp (2.7.7-20080924) unstable; urgency=low

  * Merged with new code from SGI.
  * VMware PMDA included, memcached PMDA updated.

 -- Nathan Scott <nathans@debian.org>  Wed, 24 Sep 2008 17:55:14 +1000

pcp (2.7.4-20081001) unstable; urgency=low

  * Added the Perl PCP::PMDA interface package - libpcp-pmda-perl.
  * Several new Perl PMDAs (mysql, dbping, systemtap, memcached).
  * Several new Linux kernel metrics (cpu steal time, IO scheduler,
    additional NFS server metrics).
  * Many portability changes for native Win32 builds under MinGW.
  * Deprecated (IRIX) pmkstat tool is now removed.
  * Old "irix." metric auto-prepend-on-failure hack removed.
  * Huge code cleanup, most/all IRIX-specific code removed.

 -- Nathan Scott <nathans@debian.org>  Mon, 01 Sep 2008 11:49:03 +1000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Nathan Scott <nathans@debian.org>
 Uploaders: Anibal Monsalve Salazar <anibal@debian.org>
-Build-Depends: autoconf, bison, flex, gawk, procps, debhelper (>= 5)
+Build-Depends: autoconf, bison, flex, gawk, procps, debhelper (>= 5), perl (>= 5.6)
 Standards-Version: 3.7.3
 
 Package: pcp
@@ -88,3 +88,28 @@
  Contains the runtime environment required by an application that is
  directly instrumented for event and value tracking by pmdatrace(3),
  the Trace Performance Metric Domain Agent.
+
+Package: libpcp-pmda-perl
+Section: perl
+Priority: optional
+Architecture: any
+Depends: ${perl:Depends}, ${shlibs:Depends}, libpcp-pmda3
+Description: Performance Co-Pilot Domain Agent Perl module
+ The PCP::PMDA Perl module contains the language bindings for
+ building Performance Metric Domain Agents (PMDAs) using Perl.
+ Each PMDA exports performance data for one specific domain, for
+ example the operating system kernel, Cisco routers, a database,
+ an application, etc.
+
+Package: libpcp-logsummary-perl
+Section: perl
+Priority: optional
+Architecture: any
+Depends: pcp
+Description: Performance Co-Pilot historical log summary module
+ The PCP::LogSummary module provides a Perl module for using the
+ statistical summary data produced by the Performance Co-Pilot
+ pmlogsummary utility.  This utility produces various averages,
+ minima, maxima, and other calculations based on the performance
+ data stored in a PCP archive.  The Perl interface is ideal for
+ exporting this data into third-party tools (e.g. spreadsheets).

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,8 @@
 libpcpdev = libpcp3-dev
 libpcp_pmda = libpcp-pmda3
 libpcp_pmdadev = libpcp-pmda3-dev
+libpcp_pmda_perl = libpcp-pmda-perl
+pcp_logsummary_perl = pcp-logsummary-perl
 libpcp_trace = libpcp-trace2
 libpcp_tracedev = libpcp-trace2-dev
 
@@ -13,16 +15,22 @@
 dirlibpcpdev = debian/$(libpcpdev)
 dirlibpcp_pmda = debian/$(libpcp_pmda)
 dirlibpcp_pmdadev = debian/$(libpcp_pmdadev)
+dirlibpcp_pmda_perl = debian/$(libpcp_pmda_perl)
+dirpcp_logsummary_perl = debian/$(pcp_logsummary_perl)
 dirlibpcp_trace = debian/$(libpcp_trace)
 dirlibpcp_tracedev = debian/$(libpcp_tracedev)
 alldir = $(dirpcp) $(dirlibpcp) $(dirlibpcpdev) $(dirlibpcp_pmda) \
-	$(dirlibpcp_pmdadev) $(dirlibpcp_trace) $(dirlibpcp_tracedev)
+		$(dirlibpcp_pmdadev) $(dirlibpcp_pmda_perl) \
+		$(dirlibpcp_trace) $(dirlibpcp_tracedev) \
+		$(dirpcp_logsummary_perl)
 
 zip = @export GZIP=-9q
 pkgpcp = $(zip); export DIST_ROOT=`pwd`/$(dirpcp);
 pkglibpcp = $(zip); export DIST_ROOT=`pwd`/$(dirlibpcp);
 pkglibpcp_pmda = $(zip); export DIST_ROOT=`pwd`/$(dirlibpcp_pmda);
 pkglibpcp_trace = $(zip); export DIST_ROOT=`pwd`/$(dirlibpcp_trace);
+pkglibpcp_pmda_perl = $(zip); export DIST_ROOT=`pwd`/$(dirlibpcp_pmda_perl);
+pkgpcp_logsummary_perl = $(zip); export DIST_ROOT=`pwd`/$(dirpcp_logsummary_perl);
 
 options = export DEBUG=-DNDEBUG AWK=gawk PMC_SUPPORT=false;
 checkdir = test -f debian/rules
@@ -58,6 +66,8 @@
 	-rm -rf $(alldir)
 	$(pkgpcp) $(MAKE) -C . install
 	$(pkgpcp) $(MAKE) -C build pcp.src
+	$(pkglibpcp_pmda_perl) $(MAKE) -C src/cpan/PMDA install_perl
+	$(pkgpcp_logsummary_perl) $(MAKE) -C src/cpan/LogSummary install_perl
 
 	dh_installdocs
 	dh_installchangelogs
@@ -69,11 +79,13 @@
 	@$(uninstall)
 	@$(uninstalld)
 	dh_makeshlibs -N $(libpcp)
-	dh_makeshlibs -p $(libpcp)
+	dh_makeshlibs --package $(libpcp)
 	dh_makeshlibs -N $(libpcp_pmda)
-	dh_makeshlibs -p $(libpcp_pmda)
+	dh_makeshlibs --package $(libpcp_pmda)
 	dh_makeshlibs -N $(libpcp_trace)
-	dh_makeshlibs -p $(libpcp_trace)
+	dh_makeshlibs --package $(libpcp_trace)
+	dh_perl -p $(libpcp_pmda_perl)
+	dh_perl -p $(pcp_logsummary_perl)
 	dh_installdeb
 	dh_shlibdeps 2>/dev/null	# squash bogus and harmless warnings
 	dh_gencontrol

## pcp 2.8.12

=== debian/changelog ===
pcp (2.8.12) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Wed, 08 Jul 2009 16:38:44 +1000

pcp (2.8.10) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Wed, 01 Jul 2009 14:35:11 +1000

pcp (2.8.9) unstable; urgency=low

  * New release (full details in CHANGELOG).
  * Updated Perl module source build (closes: #533632).

 -- Nathan Scott <nathans@debian.org>  Wed, 01 Jul 2009 10:25:36 +1000

pcp (2.8.8) unstable; urgency=low

  * New release (full details in CHANGELOG).
  * Updated Perl PMDA module package, new version.

 -- Nathan Scott <nathans@debian.org>  Tue, 09 Jun 2009 15:00:44 +1000

pcp (2.8.7) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Fri, 29 May 2009 11:34:10 +1000

pcp (2.8.5) unstable; urgency=low

  * New release (full details in CHANGELOG).
  * Some libpcp packaging tweaks for builddefs/rules files.

 -- Nathan Scott <nathans@debian.org>  Thu, 21 May 2009 16:24:12 +1000

pcp (2.8.4) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Tue, 12 May 2009 11:51:34 +1000

pcp (2.8.3) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Mon, 11 May 2009 20:46:55 +1000

pcp (2.8.2) unstable; urgency=low

  * Fix a pmie && and || operator bug.
  * Improve daily pmie/pmlogger script behaviour.

 -- Nathan Scott <nathans@debian.org>  Fri, 24 Apr 2009 09:35:55 +1000

pcp (2.8.1) unstable; urgency=low

  * New upstream release (closes: #524451).

 -- Nathan Scott <nathans@debian.org>  Sun, 19 Apr 2009 20:03:27 +1000

pcp (2.8.0) unstable; urgency=low

  * New upstream release.
  * New packages for Memory Mapped Value (MMV) library.

 -- Nathan Scott <nathans@debian.org>  Thu, 09 Apr 2009 12:26:40 +1000

pcp (2.7.8-20090319) unstable; urgency=low

  * New upstream release.

 -- Nathan Scott <nathans@debian.org>  Thu, 19 Mar 2009 12:28:54 +1100

pcp (2.7.8-20090306) unstable; urgency=low

  * New upstream release.

 -- Nathan Scott <nathans@debian.org>  Fri, 06 Mar 2009 15:56:03 +1100

pcp (2.7.8-20090217) unstable; urgency=low

  * New upstream release.

 -- Nathan Scott <nathans@debian.org>  Tue, 17 Feb 2009 08:55:16 +1100

pcp (2.7.8-20090127) unstable; urgency=low

  * New upstream release.

 -- Nathan Scott <nathans@debian.org>  Tue, 27 Jan 2009 17:08:01 +1100

pcp (2.7.8-20081209) unstable; urgency=low

  * New upstream release.

 -- Nathan Scott <nathans@debian.org>  Tue, 09 Dec 2008 13:19:38 +1100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: pcp
 Section: utils
 Priority: extra
+Homepage: http://oss.sgi.com/projects/pcp
 Maintainer: Nathan Scott <nathans@debian.org>
 Uploaders: Anibal Monsalve Salazar <anibal@debian.org>
 Build-Depends: autoconf, bison, flex, gawk, procps, debhelper (>= 5), perl (>= 5.6)
-Standards-Version: 3.7.3
+Standards-Version: 3.8.1
 
 Package: pcp
 Depends: ${shlibs:Depends}, gawk, procps, sysv-rc-conf, cpp
 Suggests: tsocks
 Conflicts: pgpool2
-Recommends: kmchart
+Recommends: pcp-gui
 Architecture: any
 Description: System level performance monitoring and performance management
  Performance Co-Pilot (PCP) is a framework and services to
@@ -24,42 +25,109 @@
 
 Package: libpcp3-dev
 Section: libdevel
-Priority: extra
-Depends: libc6-dev | libc-dev, libpcp3 (>= 2.7.4-20080507)
-Conflicts: pcp (< 2.7.4-20080507)
+Depends: libc6-dev | libc-dev, libpcp3 (>= 2.8.0)
+Conflicts: pcp (< 2.8.0)
 Architecture: any
 Description: Performance Co-Pilot library and headers
  libpcp-dev contains the base Performance Co-Pilot (PCP) library and
  header files needed to develop both collector and monitor programs
  which make use of PCP services.
+ .
+ The Performance Co-Pilot provides a unifying abstraction for
+ all of the interesting performance data in a system, and allows
+ client applications to easily retrieve and process any subset of
+ that data.
 
 Package: libpcp3
 Depends: ${shlibs:Depends}
-Conflicts: pgpool2, pcp (< 2.7.4-20080507)
-Section: libs
-Priority: extra
+Conflicts: pgpool2, pcp (< 2.8.0), libpcp3-dev (< 2.8.5)
+Section: libs
 Architecture: any
 Description: Performance Co-Pilot library
  Contains the runtime environment required by programs that make use
  of Performance Co-Pilot services.
+ .
+ The Performance Co-Pilot provides a unifying abstraction for
+ all of the interesting performance data in a system, and allows
+ client applications to easily retrieve and process any subset of
+ that data.
+
+Package: libpcp-gui2-dev
+Section: libdevel
+Depends: libpcp3-dev
+Conflicts: libpcp-gui1-dev
+Architecture: any
+Description: Performance Co-Pilot graphical client tools library and headers
+ libpcp-gui-dev contains the Performance Co-Pilot (PCP) library and
+ header files needed to incorporate graphical time control (pmtime)
+ into a monitoring application.
+ .
+ The Performance Co-Pilot provides a unifying abstraction for
+ all of the interesting performance data in a system, and allows
+ client applications to easily retrieve and process any subset of
+ that data.
+
+Package: libpcp-gui2
+Depends: ${shlibs:Depends}
+Section: libs
+Architecture: any
+Description: Performance Co-Pilot graphical client tools library
+ Contains the runtime environment required by a monitoring tool that
+ makes use of the time control services of pmtime(1).
+ .
+ The Performance Co-Pilot provides a unifying abstraction for
+ all of the interesting performance data in a system, and allows
+ client applications to easily retrieve and process any subset of
+ that data.
+
+Package: libpcp-mmv1-dev
+Section: libdevel
+Depends: libpcp3-dev
+Architecture: any
+Description: Performance Co-Pilot Memory Mapped Value library and headers
+ libpcp-mmv-dev contains the Performance Co-Pilot (PCP) library and
+ header files needed to utilise memory mapped value instrumentation
+ into a monitored application.
+ .
+ The Performance Co-Pilot provides a unifying abstraction for
+ all of the interesting performance data in a system, and allows
+ client applications to easily retrieve and process any subset of
+ that data.
+
+Package: libpcp-mmv1
+Depends: ${shlibs:Depends}
+Section: libs
+Architecture: any
+Description: Performance Co-Pilot Memory Mapped Value client library
+ Contains the runtime environment required by a monitored application
+ that utilises Memory Mapped Value instrumentation to export runtime
+ instrumentation into the Performance Co-Pilot infrastructure.
+ .
+ The Performance Co-Pilot provides a unifying abstraction for
+ all of the interesting performance data in a system, and allows
+ client applications to easily retrieve and process any subset of
+ that data.
 
 Package: libpcp-pmda3-dev
 Section: libdevel
-Priority: extra
-Depends: libc6-dev | libc-dev, libpcp3-dev
+Depends: libpcp3-dev
 Conflicts: pcp (< 2.7.4-20080507)
 Architecture: any
 Description: Performance Co-Pilot Domain Agent library and headers
- libpcppmda-dev contains the Performance Co-Pilot (PCP) library and
+ libpcp-pmda-dev contains the Performance Co-Pilot (PCP) library and
  header files needed to develop Performance Metric Domain Agents
  (PMDAs).  A PMDA exports performance data for one specific domain,
  for example the operating system kernel, Cisco routers, a database,
  an application, etc.
+ .
+ The Performance Co-Pilot provides a unifying abstraction for
+ all of the interesting performance data in a system, and allows
+ client applications to easily retrieve and process any subset of
+ that data.
 
 Package: libpcp-pmda3
 Depends: ${shlibs:Depends}
 Section: libs
-Priority: extra
 Architecture: any
 Description: Performance Co-Pilot Domain Agent library
  Contains the runtime environment required by a Performance Metric
@@ -69,25 +137,33 @@
 
 Package: libpcp-trace2-dev
 Section: libdevel
-Priority: extra
-Depends: libc6-dev | libc-dev, libpcp3-dev
+Depends: libpcp3-dev
 Conflicts: pcp (< 2.7.4-20080507)
 Architecture: any
 Description: Performance Co-Pilot application tracing library and headers
- libpcptrace-dev contains the Performance Co-Pilot (PCP) library and
+ libpcp-trace-dev contains the Performance Co-Pilot (PCP) library and
  header files needed to directly instrument an application for event
  and value tracking by the pmdatrace(1) PCP Trace Performance Metric
  Domain Agent.
+ .
+ The Performance Co-Pilot provides a unifying abstraction for
+ all of the interesting performance data in a system, and allows
+ client applications to easily retrieve and process any subset of
+ that data.
 
 Package: libpcp-trace2
 Depends: ${shlibs:Depends}
 Section: libs
-Priority: extra
 Architecture: any
 Description: Performance Co-Pilot application tracing library
  Contains the runtime environment required by an application that is
  directly instrumented for event and value tracking by pmdatrace(3),
  the Trace Performance Metric Domain Agent.
+ .
+ The Performance Co-Pilot provides a unifying abstraction for
+ all of the interesting performance data in a system, and allows
+ client applications to easily retrieve and process any subset of
+ that data.
 
 Package: libpcp-pmda-perl
 Section: perl
@@ -100,6 +176,11 @@
  Each PMDA exports performance data for one specific domain, for
  example the operating system kernel, Cisco routers, a database,
  an application, etc.
+ .
+ The Performance Co-Pilot provides a unifying abstraction for
+ all of the interesting performance data in a system, and allows
+ client applications to easily retrieve and process any subset of
+ that data.
 
 Package: libpcp-logsummary-perl
 Section: perl
@@ -113,3 +194,23 @@
  minima, maxima, and other calculations based on the performance
  data stored in a PCP archive.  The Perl interface is ideal for
  exporting this data into third-party tools (e.g. spreadsheets).
+ .
+ The Performance Co-Pilot provides a unifying abstraction for
+ all of the interesting performance data in a system, and allows
+ client applications to easily retrieve and process any subset of
+ that data.
+
+Package: libpcp-mmv-perl
+Section: perl
+Priority: optional
+Architecture: any
+Depends: ${perl:Depends}, ${shlibs:Depends}, libpcp-mmv1
+Description: Performance Co-Pilot Memory Mapped Value Perl module
+ The PCP::MMV module contains the Perl language bindings for
+ building scripts instrumented with the Performance Co-Pilot
+ (PCP) Memory Mapped Value (MMV) mechanism.
+ .
+ This mechanism allows arbitrary values to be exported from an
+ instrumented script into the PCP infrastructure for monitoring
+ and analysis with pmchart, pmie, pmlogger and other PCP tools.
+

## pcp 3.1.0

=== debian/changelog ===
pcp (3.1.0) unstable; urgency=low

  * New release (full details in CHANGELOG).
  * Added build dependency on readline library.

 -- Nathan Scott <nathans@debian.org>  Thu, 28 Jan 2010 22:09:49 +1100

pcp (3.0.3) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Thu, 10 Dec 2009 17:44:53 +1100

pcp (3.0.2) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Wed, 02 Dec 2009 12:48:38 +1100

pcp (3.0.1) unstable; urgency=low

  * Resolved issues with the Debian kFreeBSD build.
  * Reverted Fedora rc script changes (closes: #544350)
  * Add missing libpcp-mmv-perl perl dependency (closes: #552670)
  * Add missing libpcp-pmda-perl perl dependency (closes: #552671)
  * Add missing libpcp-mmv-perl dependency on libc (closes: #553247)

 -- Nathan Scott <nathans@debian.org>  Fri, 30 Oct 2009 13:54:41 +1100

pcp (3.0.0) unstable; urgency=low

  * New release (full details in CHANGELOG).
  * Original Alpha build issue resolved (closes: #541547)
  * More recent Alpha build issue resolved too (closes: #545851)

 -- Nathan Scott <nathans@debian.org>  Fri, 09 Oct 2009 12:55:12 +1100

pcp (2.9.3) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Wed, 23 Sep 2009 17:03:07 +1000

pcp (2.9.2) unstable; urgency=low

  * New release (full details in CHANGELOG).
  * Attempt to resolve Alpha platform build issues for Debian.

 -- Nathan Scott <nathans@debian.org>  Mon, 07 Sep 2009 16:26:54 +1000

pcp (2.9.1) unstable; urgency=low

  * New release (full details in CHANGELOG).
  * Add Petters start script enhancements (closes: #544350)

 -- Nathan Scott <nathans@debian.org>  Wed, 02 Sep 2009 13:30:31 +1000

pcp (2.9.0) unstable; urgency=low

  * New release (full details in CHANGELOG).
  * Updated MMV and other package descriptions (closes: #537563).

 -- Nathan Scott <nathans@debian.org>  Mon, 27 Jul 2009 15:25:57 +1000

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Homepage: http://oss.sgi.com/projects/pcp
 Maintainer: Nathan Scott <nathans@debian.org>
 Uploaders: Anibal Monsalve Salazar <anibal@debian.org>
-Build-Depends: autoconf, bison, flex, gawk, procps, debhelper (>= 5), perl (>= 5.6)
-Standards-Version: 3.8.1
+Build-Depends: autoconf, bison, flex, gawk, procps, debhelper (>= 5), perl (>= 5.6), libreadline-dev
+Standards-Version: 3.8.3
 
 Package: pcp
 Depends: ${shlibs:Depends}, gawk, procps, sysv-rc-conf, cpp
@@ -29,9 +29,9 @@
 Conflicts: pcp (< 2.8.0)
 Architecture: any
 Description: Performance Co-Pilot library and headers
- libpcp-dev contains the base Performance Co-Pilot (PCP) library and
- header files needed to develop both collector and monitor programs
- which make use of PCP services.
+ The libpcp-dev package contains the base Performance Co-Pilot (PCP)
+ library and header files needed to develop collector and monitor
+ programs which make use of PCP services.
  .
  The Performance Co-Pilot provides a unifying abstraction for
  all of the interesting performance data in a system, and allows
@@ -44,8 +44,8 @@
 Section: libs
 Architecture: any
 Description: Performance Co-Pilot library
- Contains the runtime environment required by programs that make use
- of Performance Co-Pilot services.
+ The libpcp package contains the runtime environment required by
+ programs that make use of Performance Co-Pilot (PCP) services.
  .
  The Performance Co-Pilot provides a unifying abstraction for
  all of the interesting performance data in a system, and allows
@@ -58,9 +58,9 @@
 Conflicts: libpcp-gui1-dev
 Architecture: any
 Description: Performance Co-Pilot graphical client tools library and headers
- libpcp-gui-dev contains the Performance Co-Pilot (PCP) library and
- header files needed to incorporate graphical time control (pmtime)
- into a monitoring application.
+ The libpcp-gui-dev package contains the Performance Co-Pilot (PCP)
+ library and header files needed to incorporate graphical time control
+ (pmtime) into a monitoring application.
  .
  The Performance Co-Pilot provides a unifying abstraction for
  all of the interesting performance data in a system, and allows
@@ -72,8 +72,8 @@
 Section: libs
 Architecture: any
 Description: Performance Co-Pilot graphical client tools library
- Contains the runtime environment required by a monitoring tool that
- makes use of the time control services of pmtime(1).
+ The libpcp-gui package contains the runtime environment required by any
+ monitoring tool that makes use of the time control services of pmtime(1).
  .
  The Performance Co-Pilot provides a unifying abstraction for
  all of the interesting performance data in a system, and allows
@@ -85,9 +85,9 @@
 Depends: libpcp3-dev
 Architecture: any
 Description: Performance Co-Pilot Memory Mapped Value library and headers
- libpcp-mmv-dev contains the Performance Co-Pilot (PCP) library and
- header files needed to utilise memory mapped value instrumentation
- into a monitored application.
+ The libpcp-mmv-dev package contains the Performance Co-Pilot (PCP)
+ library and header files needed to utilise memory mapped value
+ instrumentation into a monitored application.
  .
  The Performance Co-Pilot provides a unifying abstraction for
  all of the interesting performance data in a system, and allows
@@ -99,9 +99,9 @@
 Section: libs
 Architecture: any
 Description: Performance Co-Pilot Memory Mapped Value client library
- Contains the runtime environment required by a monitored application
- that utilises Memory Mapped Value instrumentation to export runtime
- instrumentation into the Performance Co-Pilot infrastructure.
+ The libpcp-mmv package contains the runtime environment required by an
+ application that utilises Memory Mapped Value instrumentation to export
+ runtime instrumentation into the Performance Co-Pilot infrastructure.
  .
  The Performance Co-Pilot provides a unifying abstraction for
  all of the interesting performance data in a system, and allows
@@ -114,9 +114,9 @@
 Conflicts: pcp (< 2.7.4-20080507)
 Architecture: any
 Description: Performance Co-Pilot Domain Agent library and headers
- libpcp-pmda-dev contains the Performance Co-Pilot (PCP) library and
- header files needed to develop Performance Metric Domain Agents
- (PMDAs).  A PMDA exports performance data for one specific domain,
+ The libpcp-pmda-dev package contains the Performance Co-Pilot (PCP)
+ library and header files needed to develop Performance Metric Domain
+ Agents (PMDAs).  Each PMDA exports performance data for one domain;
  for example the operating system kernel, Cisco routers, a database,
  an application, etc.
  .
@@ -130,10 +130,10 @@
 Section: libs
 Architecture: any
 Description: Performance Co-Pilot Domain Agent library
- Contains the runtime environment required by a Performance Metric
- Domain Agent (PMDAs).  A PMDA exports performance data for one
- specific domain, for example the operating system kernel, Cisco
- routers, a database, an application, etc.
+ The libpcp-pmda package contains the runtime environment required by
+ a Performance Metric Domain Agent (PMDA).  A PMDA exports performance
+ data for one specific domain, for example the operating system kernel,
+ DNS, SMTP, Cisco router, a database, an application, etc.
 
 Package: libpcp-trace2-dev
 Section: libdevel
@@ -141,10 +141,10 @@
 Conflicts: pcp (< 2.7.4-20080507)
 Architecture: any
 Description: Performance Co-Pilot application tracing library and headers
- libpcp-trace-dev contains the Performance Co-Pilot (PCP) library and
- header files needed to directly instrument an application for event
- and value tracking by the pmdatrace(1) PCP Trace Performance Metric
- Domain Agent.
+ The libpcp-trace-dev package contains the Performance Co-Pilot (PCP)
+ library and header files needed to directly instrument an application
+ for event and value tracking by the pmdatrace(1) PCP Trace Performance
+ Metric Domain Agent.
  .
  The Performance Co-Pilot provides a unifying abstraction for
  all of the interesting performance data in a system, and allows
@@ -156,9 +156,9 @@
 Section: libs
 Architecture: any
 Description: Performance Co-Pilot application tracing library
- Contains the runtime environment required by an application that is
- directly instrumented for event and value tracking by pmdatrace(3),
- the Trace Performance Metric Domain Agent.
+ The libpcp-trace package contains the runtime environment required by
+ an application that is directly instrumented for event and value
+ tracking by pmdatrace(3), the Trace Performance Metric Domain Agent.
  .
  The Performance Co-Pilot provides a unifying abstraction for
  all of the interesting performance data in a system, and allows
@@ -169,7 +169,7 @@
 Section: perl
 Priority: optional
 Architecture: any
-Depends: ${perl:Depends}, ${shlibs:Depends}, libpcp-pmda3
+Depends: ${shlibs:Depends}, libpcp-pmda3, ${perl:Depends}
 Description: Performance Co-Pilot Domain Agent Perl module
  The PCP::PMDA Perl module contains the language bindings for
  building Performance Metric Domain Agents (PMDAs) using Perl.
@@ -186,7 +186,7 @@
 Section: perl
 Priority: optional
 Architecture: any
-Depends: pcp
+Depends: pcp, ${perl:Depends}
 Description: Performance Co-Pilot historical log summary module
  The PCP::LogSummary module provides a Perl module for using the
  statistical summary data produced by the Performance Co-Pilot
@@ -204,7 +204,7 @@
 Section: perl
 Priority: optional
 Architecture: any
-Depends: ${perl:Depends}, ${shlibs:Depends}, libpcp-mmv1
+Depends: ${shlibs:Depends}, libpcp-mmv1, ${perl:Depends}
 Description: Performance Co-Pilot Memory Mapped Value Perl module
  The PCP::MMV module contains the Perl language bindings for
  building scripts instrumented with the Performance Co-Pilot

## pcp 3.2.0

=== debian/changelog ===
pcp (3.2.0) unstable; urgency=low

  * New release (full details in CHANGELOG).
  * Several Debian packaging updates to get lintian happier.

 -- Nathan Scott <nathans@debian.org>  Thu, 29 Apr 2010 12:32:09 +1000

pcp (3.1.2) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Thu, 18 Mar 2010 08:35:56 +1100

pcp (3.1.1) unstable; urgency=low

  * New release (full details in CHANGELOG).
  * Added package Recommends line on pcp for PCP Perl PMDA module.

 -- Nathan Scott <nathans@debian.org>  Tue, 23 Feb 2010 08:19:41 +1100

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,13 @@
 Maintainer: Nathan Scott <nathans@debian.org>
 Uploaders: Anibal Monsalve Salazar <anibal@debian.org>
 Build-Depends: autoconf, bison, flex, gawk, procps, debhelper (>= 5), perl (>= 5.6), libreadline-dev
-Standards-Version: 3.8.3
+Standards-Version: 3.8.4
 
 Package: pcp
-Depends: ${shlibs:Depends}, gawk, procps, sysv-rc-conf, cpp
+Depends: ${shlibs:Depends}, ${misc:Depends}, gawk, procps, sysv-rc-conf, cpp
 Suggests: tsocks
 Conflicts: pgpool2
-Recommends: pcp-gui
+Recommends: libpcp-pmda-perl, pcp-gui
 Architecture: any
 Description: System level performance monitoring and performance management
  Performance Co-Pilot (PCP) is a framework and services to
@@ -25,8 +25,7 @@
 
 Package: libpcp3-dev
 Section: libdevel
-Depends: libc6-dev | libc-dev, libpcp3 (>= 2.8.0)
-Conflicts: pcp (< 2.8.0)
+Depends: ${misc:Depends}, pcp (= ${binary:Version}), libc6-dev | libc-dev
 Architecture: any
 Description: Performance Co-Pilot library and headers
  The libpcp-dev package contains the base Performance Co-Pilot (PCP)
@@ -39,8 +38,8 @@
  that data.
 
 Package: libpcp3
-Depends: ${shlibs:Depends}
-Conflicts: pgpool2, pcp (< 2.8.0), libpcp3-dev (< 2.8.5)
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: pgpool2, pcp (<< 2.8.0), libpcp3-dev (<< 2.8.5)
 Section: libs
 Architecture: any
 Description: Performance Co-Pilot library
@@ -54,7 +53,7 @@
 
 Package: libpcp-gui2-dev
 Section: libdevel
-Depends: libpcp3-dev
+Depends: ${misc:Depends}, libpcp3-dev
 Conflicts: libpcp-gui1-dev
 Architecture: any
 Description: Performance Co-Pilot graphical client tools library and headers
@@ -68,7 +67,7 @@
  that data.
 
 Package: libpcp-gui2
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Section: libs
 Architecture: any
 Description: Performance Co-Pilot graphical client tools library
@@ -82,7 +81,7 @@
 
 Package: libpcp-mmv1-dev
 Section: libdevel
-Depends: libpcp3-dev
+Depends: ${misc:Depends}, libpcp3-dev
 Architecture: any
 Description: Performance Co-Pilot Memory Mapped Value library and headers
  The libpcp-mmv-dev package contains the Performance Co-Pilot (PCP)
@@ -95,7 +94,7 @@
  that data.
 
 Package: libpcp-mmv1
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Section: libs
 Architecture: any
 Description: Performance Co-Pilot Memory Mapped Value client library
@@ -110,8 +109,8 @@
 
 Package: libpcp-pmda3-dev
 Section: libdevel
-Depends: libpcp3-dev
-Conflicts: pcp (< 2.7.4-20080507)
+Depends: ${misc:Depends}, libpcp3-dev
+Conflicts: pcp (<< 2.8.0)
 Architecture: any
 Description: Performance Co-Pilot Domain Agent library and headers
  The libpcp-pmda-dev package contains the Performance Co-Pilot (PCP)
@@ -126,7 +125,7 @@
  that data.
 
 Package: libpcp-pmda3
-Depends: ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Section: libs
 Architecture: any
 Description: Performance Co-Pilot Domain Agent library
@@ -137,8 +136,8 @@
 
 Package: libpcp-trace2-dev
 Section: libdevel
-Depends: libpcp3-dev
-Conflicts: pcp (< 2.7.4-20080507)
+Depends: ${misc:Depends}, libpcp3-dev
+Conflicts: pcp (<< 2.8.0)
 Architecture: any
 Description: Performance Co-Pilot application tracing library and headers
  The libpcp-trace-dev package contains the Performance Co-Pilot (PCP)
@@ -152,7 +151,7 @@
  that data.
 
 Package: libpcp-trace2
-Depends: ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Section: libs
 Architecture: any
 Description: Performance Co-Pilot application tracing library
@@ -169,7 +168,7 @@
 Section: perl
 Priority: optional
 Architecture: any
-Depends: ${shlibs:Depends}, libpcp-pmda3, ${perl:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends}, libpcp-pmda3
 Description: Performance Co-Pilot Domain Agent Perl module
  The PCP::PMDA Perl module contains the language bindings for
  building Performance Metric Domain Agents (PMDAs) using Perl.
@@ -186,7 +185,7 @@
 Section: perl
 Priority: optional
 Architecture: any
-Depends: pcp, ${perl:Depends}
+Depends: ${misc:Depends}, ${perl:Depends}, pcp
 Description: Performance Co-Pilot historical log summary module
  The PCP::LogSummary module provides a Perl module for using the
  statistical summary data produced by the Performance Co-Pilot
@@ -204,7 +203,7 @@
 Section: perl
 Priority: optional
 Architecture: any
-Depends: ${shlibs:Depends}, libpcp-mmv1, ${perl:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, libpcp-mmv1
 Description: Performance Co-Pilot Memory Mapped Value Perl module
  The PCP::MMV module contains the Perl language bindings for
  building scripts instrumented with the Performance Co-Pilot

## pcp 3.3.3

=== debian/changelog ===
pcp (3.3.3) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Fri, 16 Jul 2010 12:12:17 +1000

pcp (3.3.2) unstable; urgency=low

  * New release (full details in CHANGELOG).
  * Fix up inter-package dependencies (closes: #586466)

 -- Nathan Scott <nathans@debian.org>  Sat, 10 Jul 2010 12:29:15 +1000

pcp (3.3.1) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Tue, 29 Jun 2010 12:10:08 +1000

pcp (3.3.0) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Fri, 25 Jun 2010 22:12:04 +1000

pcp (3.2.1) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Mon, 03 May 2010 15:49:59 +1000
